Create a self-elected student test-out assignment
curl --request POST \
--url https://api.alpha-1edtech.ai/powerpath/test-out/makeExternalStudentTestOutAssignment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"oneRosterSourcedId": "<string>",
"subject": "<string>"
}
'import requests
url = "https://api.alpha-1edtech.ai/powerpath/test-out/makeExternalStudentTestOutAssignment"
payload = {
"oneRosterSourcedId": "<string>",
"subject": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({oneRosterSourcedId: '<string>', subject: '<string>'})
};
fetch('https://api.alpha-1edtech.ai/powerpath/test-out/makeExternalStudentTestOutAssignment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {}
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "invaliddata"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unauthorisedrequest"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "forbidden"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unknownobject"
}
]
},
"imsx_error_details": [
{}
]
}{
"httpStatus": 123,
"success": true,
"error": "Assignment already exists",
"data": {
"existing_assignment": {
"id": 123,
"test_url": "<string>",
"status": "<string>",
"test_name": "<string>",
"expires_at": "<string>"
},
"message": "<string>"
}
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "invaliddata"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "server_busy"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "internal_server_error"
}
]
},
"imsx_error_details": [
{}
]
}Test Out
Create a self-elected student test-out assignment
Creates an AlphaTest test-out assignment for a student on a given subject.
The endpoint performs the following steps:
- Looks up the student’s email using their OneRoster sourcedId
- Checks eligibility: the student must have an active enrollment in a non-placeholder course for the subject
- Fetches the student’s highest grade mastered for the given subject
- If the highest grade mastered is available, assigns a test-out at the next grade level (highestGradeMastered + 1)
- If the highest grade mastered is not available, falls back to the active course sequence to determine the lowest assessment grade for the subject and uses that as the test-out grade
The assignment payload sent to AlphaTest includes:
test_type: “test out”origin: “self-elected”
Will fail if:
- The student does not exist or has no email
- The student does not have an active enrollment for the subject (or the course has placementPlaceholder set to true)
- The test-out grade cannot be determined (no highest grade mastered and no active course sequence with assessment stages)
- The AlphaTest API returns an error
POST
/
powerpath
/
test-out
/
makeExternalStudentTestOutAssignment
Create a self-elected student test-out assignment
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
⌘I